DudleyDomain.h File Reference
`#include <dudley/Dudley.h>`
`#include <dudley/ElementFile.h>`
`#include <dudley/NodeFile.h>`
`#include <dudley/Util.h>`
`#include <escript/AbstractContinuousDomain.h>`
`#include <escript/FunctionSpace.h>`
`#include <escript/FunctionSpaceFactory.h>`
`#include <map>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | dudley::DudleyDomain
| DudleyDomain implements the AbstractContinuousDomain interface for the Dudley library. More...

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Typedefs

typedef std::map< std::string, int > | dudley::TagMap

## Enumerations

enum | dudley::SystemMatrixType { dudley::SMT_PASO = 1<<8, dudley::SMT_TRILINOS = 1<<10, dudley::SMT_COMPLEX = 1<<16, dudley::SMT_UNROLL = 1<<17 }